Harthelm Docs
REST APIMembers

Change a member's team role

Team admins (`team.members`). 409 `last-admin` when it would leave the team without an admin.

Generated from openapi/harthelm.yaml at v1.5.0
PATCH
/teams/{team}/members/{user}

Authorization

cookie__Host-harthelm_session<token>

Browser session of the UI (12 h idle, 7 days absolute). State-changing requests also need the header Harthelm-CSRF: 1 and a matching Origin.

Path Parameters

team*integer

Numeric resource id.

Formatint64
Range1 <= value
user*integer

A user's id.

Formatint64
Range1 <= value

Request Body

application/json
  1. body
role*TeamRole
Value in"admin""member"

Response Body

The membership.

application/json
  1. response
user*

A user as member lists show them.

role?TeamRole

The explicit role; absent for an organization owner without a membership of their own.

Value in"admin""member"
inherited_role?TeamRole

The explicit role; absent for an organization owner without a membership of their own.

Value in"admin""member"
created_at*string
Formatdate-time
curl -X PATCH 'https://console.example.com/api/v1/teams/1/members/1' \  -H 'Content-Type: application/json' \  -d '{  "role": "admin"}'
{  "user": {    "id": 1,    "name": "string",    "email": "string",    "picture_url": "string"  },  "role": "admin",  "inherited_role": "admin",  "created_at": "2019-08-24T14:15:22Z"}